import{deleteAsync}from"del";
import gulp from"gulp";

import{NOT_BUILT_SOURCES,BUILD}from"../../files.js";
import{getWatchTask}from"../../watch.js";

import{babel}from"./babel.js";
import{copy}from"./copy.js";
import{buildTypes}from"./types.js";




const clean=()=>deleteAsync(`${BUILD}/**`,{onlyFiles:true});

const rebuild=gulp.parallel(copy,babel,buildTypes);
export const build=gulp.series(clean,rebuild);


build.description="Build source files";

const buildWatchTask=getWatchTask(NOT_BUILT_SOURCES,rebuild);
export const buildWatch=gulp.series(build,buildWatchTask);


buildWatch.description="Build source files (watch mode)";
//# sourceMappingURL=main.js.map