import gulp from"gulp";
import gulpEslint from"gulp-eslint";
import{exec}from"gulp-execa";
import gulpIf from"gulp-if";

import{JAVASCRIPT,MARKDOWN,IGNORED_SOURCES}from"../../files.js";
import{bind}from"../../utils.js";








const eslint=async function(mode){
const fix=mode==="strict"?"":"--fix ";
const verbose=mode!=="silent";

const files=[JAVASCRIPT,MARKDOWN].join(" ");
const ignoredSources=IGNORED_SOURCES.map(
(ignoredSource)=>`--ignore-pattern=${ignoredSource}`).
join(" ");





await exec(
`eslint ${files} --ignore-path=.gitignore ${ignoredSources} ${fix}--cache --format=codeframe --max-warnings=0 --no-error-on-unmatched-pattern`,
{verbose,echo:false});

};

export const eslintLoose=bind(eslint,"loose");
export const eslintStrict=bind(eslint,"strict");
export const eslintSilent=bind(eslint,"silent");

export const eslintWatch=function(){
return gulp.
src([JAVASCRIPT,MARKDOWN,`!${IGNORED_SOURCES}`],{
dot:true,
since:gulp.lastRun(eslintWatch)
}).
pipe(
gulpEslint({
ignorePath:".gitignore",
fix:true,
maxWarnings:0,

reportUnusedDisableDirectives:true,
errorOnUnmatchedPattern:false
})).

pipe(gulpEslint.format("codeframe")).
pipe(gulpEslint.failAfterError()).
pipe(
gulpIf(
isFixed,
gulp.dest(({base})=>base)));


};

const isFixed=function({eslint:{fixed}={}}){
return fixed;
};
//# sourceMappingURL=eslint.js.map