import{fileURLToPath}from"node:url";

import{exec}from"gulp-execa";
import pFilter from"p-filter";
import{pathExists}from"path-exists";

import{
SOURCES_DIRS,
JAVASCRIPT_EXTS_STR,
TYPESCRIPT_EXT,
TYPESCRIPT_TESTS_EXT}from
"../../files.js";

const JSCPD_CONFIG=fileURLToPath(new URL(".jscpd.json",import.meta.url));





export const jscpd=async function(){
const sourceDirs=await pFilter(SOURCES_DIRS,pathExists);

if(sourceDirs.length===0){
return;
}

const sourceDirsStr=sourceDirs.join(" ");
await exec(
`jscpd --config=${JSCPD_CONFIG} --pattern=**/*.{${JAVASCRIPT_EXTS_STR},${TYPESCRIPT_EXT}} --ignore=**/*.${TYPESCRIPT_TESTS_EXT} ${sourceDirsStr}`,
{echo:false});

};
//# sourceMappingURL=jscpd.js.map