import{argv}from"node:process";
import{promisify}from"node:util";

import gulp from"gulp";
import isCi from"is-ci";

import{
eslintLoose,
eslintStrict,
eslintSilent,
eslintWatch}from
"./eslint.js";
import{prettierLoose,prettierStrict,prettierSilent}from"./prettier.js";







export const lint=function(){
if(argv.slice(2).some(isFullArg)){
return lintFull;
}

if(isCi){
return lintStrict;
}

return lintLoose;
};


const isFullArg=function(arg){
return arg==="--full";
};

const lintFull=async function(){
try{
await promisify(lintStrict)();
}catch(error){
await handleLintError(error);
}
};



const handleLintError=async function(error){
try{
await promisify(lintSilent)();
}catch{}

throw error;
};

const lintStrict=gulp.series(prettierStrict,eslintStrict);
const lintLoose=gulp.series(prettierLoose,eslintLoose);
const lintSilent=gulp.series(prettierSilent,eslintSilent);
export const lintWatch=gulp.series(prettierLoose,eslintWatch);
//# sourceMappingURL=lint.js.map