import{env}from"node:process";

import got from"got";
import PluginError from"plugin-error";

import{shouldCover}from"./utils.js";

const{GITHUB_REPOSITORY,GITHUB_SHA}=env;



export const checkCoverage=async function(){
if(!(await shouldCover())){
return;
}

const covInfo=await getCoverage();

if(covInfo>=COVERAGE_THRESHOLD){
return;
}

const codecovUrl=getCodecovUrl().replace("/api","");
throw new PluginError(
"gulp-codecov-check",
`Test coverage is ${covInfo}% but should be at least ${COVERAGE_THRESHOLD}%. See ${codecovUrl}`);

};

const getCoverage=async function(){
const codecovUrl=getCodecovUrl();
const{
commit:{totals}
}=await got(codecovUrl,{
timeout:{request:CODECOV_TIMEOUT},
retry:{limit:CODECOV_RETRY}
}).json();


if(totals===null){
throw new PluginError(
"gulp-codecov-check",
`Test coverage is missing. See ${codecovUrl}`);

}

const covInfo=Number(totals.c);
return covInfo;
};


const CODECOV_TIMEOUT=6e4;
const CODECOV_RETRY=10;

const getCodecovUrl=function(){
return`https://codecov.io/api/gh/${GITHUB_REPOSITORY}/commit/${GITHUB_SHA}`;
};

const COVERAGE_THRESHOLD=100;
//# sourceMappingURL=check.js.map