import{version,platform}from"node:process";
import{fileURLToPath}from"node:url";

import{exec}from"gulp-execa";

import{shouldCover}from"./utils.js";

const CODECOV_SCRIPT=fileURLToPath(new URL("codecov.sh",import.meta.url));

const COVERAGE_PATH="coverage/coverage-final.json";


export const uploadCoverage=async function(){
if(!(await shouldCover())){
return;
}

const tags=getCoverageTags();
await exec(`bash ${CODECOV_SCRIPT} -f ${COVERAGE_PATH} ${tags} -Z`,{
reject:false
});
};


const getCoverageTags=function(){
const os=PLATFORMS[platform];

const nodeVersion=`node_${version.replace(/\./gu,"_")}`;
return[os,nodeVersion].map(getCoverageTag).join(" ");
};

const PLATFORMS={
linux:"linux",
darwin:"mac",
win32:"windows"
};

const getCoverageTag=function(tag){
return`-F ${tag}`;
};
//# sourceMappingURL=upload.js.map