import gulp from"gulp";
import{exec}from"gulp-execa";

import{DEPENDENCIES}from"../files.js";
import{getWatchTask}from"../watch.js";

const audit=async()=>{

try{
await exec("npm audit -h",{verbose:false});
}catch{
return;
}

try{
await exec("npm audit --color=always",{verbose:false,all:true});
}catch(error){


console.error(error.all);
throw error;
}
};

const outdated=()=>exec("npm outdated");

export const warn=gulp.parallel(audit,outdated);


warn.description="Check for outdated/vulnerable dependencies";

export const warnWatch=getWatchTask(DEPENDENCIES,warn);
//# sourceMappingURL=warn.js.map